Skip to content

getMaterialTypeList

READ

Get material type list.

POST /api/v1/items/getMaterialTypeList
curl -X POST '<your-host>/api/v1/items/getMaterialTypeList' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "materialSubstanceId": "string",
    "materialFormId": "string"
  }'
Response
{
  "results": [
    {
      "code": "string",
      "companyId": "string",
      "id": "string",
      "materialFormId": "string",
      "materialSubstanceId": "string",
      "name": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "materialSubstanceId": {
      "type": "string"
    },
    "materialFormId": {
      "type": "string"
    }
  },
  "required": [
    "materialSubstanceId",
    "materialFormId"
  ]
}